%global api_ver		300
%global major		0

%define gir_major	300
%define libname		%mklibname libgedit-gtksourceview %api_ver %major
%define devname		%mklibname -d libgedit-gtksourceview %api_ver
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		libgedit-gtksourceview
Version:	299.0.1
Release:	%mkrel 1
Summary:	Gedit source code editing widget
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://github.com/gedit-technology/libgedit-gtksourceview
Source0:	https://github.com/gedit-technology/libgedit-gtksourceview/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gettext
BuildRequires:	gi-docgen
BuildRequires:	itstool
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(vapigen)
#
Requires: glib2.0-common%{?_isa}
Requires: hicolor-icon-theme

%description
libgedit-gtksourceview is a library that extends GtkTextView, the
standard GTK widget for multiline text editing. This library adds
support for syntax highlighting, undo/redo, file loading and saving,
search and replace, a completion system, printing, displaying line
numbers, and other features typical of a source code editor.

This package contains version %{api_ver} of libgedit-gtksourceview.

%package -n %{libname}
Summary:	Gedit source code editing widget library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libname}
libgedit-gtksourceview is a library that extends GtkTextView, the
standard GTK widget for multiline text editing. This library adds
support for syntax highlighting, undo/redo, file loading and saving,
search and replace, a completion system, printing, displaying line
numbers, and other features typical of a source code editor.

%package	-n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	-n %{girname}
GObject Introspection interface description for %{name}.

%package	-n %devname
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}

%description	-n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure --enable-introspection
%make_build

%install
%make_install

%find_lang libgedit-gtksourceview-%{api_ver}

%files -f libgedit-gtksourceview-%{api_ver}.lang
%license COPYING
%doc AUTHORS HACKING NEWS README
%{_datadir}/libgedit-gtksourceview-%{api_ver}/

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib

%files -n %{libname}
%{_libdir}/libgedit-gtksourceview-%{api_ver}.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/libgedit-gtksourceview
%{_includedir}/libgedit-gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgedit-gtksourceview-%{api_ver}.so
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir



%changelog
* Sat May 13 2023 ghibo <ghibo> 299.0.1-1.mga9
+ Revision: 1956810
- Fix summary
- imported package libgedit-gtksourceview


* Sat May 13 2023 ghibo <ghibo> 299.0.1-1.mga9
- initial release.
